<?php
// $Id: wbquery_plugin_argument_default_admin_region.inc,v 1.1 2010/06/28 15:24:40 alexb Exp $

/**
 * Default argument plugin to extract an admin region via menu_get_object().
 */
class wbquery_plugin_argument_default_admin_region extends views_plugin_argument_default {
  function get_argument() {
    foreach (range(1, 3) as $i) {
      $object = menu_get_object('wbapi_admin_regions', $i);
      if (!empty($object)) {
        return $object->id;
      }
      $arg = menu_get_object('views_arg', $i);
      if (!empty($arg)) {
        return $arg;
      }
    }
  }
}
